--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: purchase() is a simple sale. This is one of the most common types of transactions, and is extremely simple. All that you need to process a purchase are an amount in cents or a money object and a creditcard object or billingid string.
full_name: ActiveMerchant::Billing::TrustCommerceGateway#purchase
is_singleton: false
name: purchase
params: (money, creditcard_or_billing_id, options = {})
visibility: public
